## mapcache 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

project (MapCache)

include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckCSourceCompiles)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
if ("${CMAKE_BUILD_TYPE}" STREQUAL "Debug") 
   add_definitions(-DDEBUG) 
endif () 


set (MAPCACHE_VERSION_MAJOR 1)
set (MAPCACHE_VERSION_MINOR 2)
set (MAPCACHE_VERSION_REVISION 0)


if(NOT DEFINED CMAKE_INSTALL_LIBDIR)
   set(CMAKE_INSTALL_LIBDIR lib)
endif(NOT DEFINED CMAKE_INSTALL_LIBDIR)
if(NOT DEFINED CMAKE_INSTALL_BINDIR)
   set(CMAKE_INSTALL_BINDIR bin)
endif(NOT DEFINED CMAKE_INSTALL_BINDIR)

MATH(EXPR MAPCACHE_IS_DEV_VERSION "1-${MAPCACHE_VERSION_MINOR}%2")
if(MAPCACHE_IS_DEV_VERSION)
  set (MAPCACHE_VERSION_STRING "${MAPCACHE_VERSION_MAJOR}.${MAPCACHE_VERSION_MINOR}.${MAPCACHE_VERSION_REVISION}")
else(MAPCACHE_IS_DEV_VERSION)
  set (MAPCACHE_VERSION_STRING "${MAPCACHE_VERSION_MAJOR}.${MAPCACHE_VERSION_MINOR}dev")
endif(MAPCACHE_IS_DEV_VERSION)
MATH(EXPR MAPCACHE_VERSION_NUM "${MAPCACHE_VERSION_MAJOR}*10000+${MAPCACHE_VERSION_MINOR}*100+${MAPCACHE_VERSION_REVISION}")

SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
if (APPLE)
  set(CMAKE_FIND_FRAMEWORK "LAST")
endif (APPLE)

macro( report_optional_not_found component )
  message(SEND_ERROR "${component} library/component/dependency could not be found.
  HINTS:
  - disable ${component} support by adding -DWITH_${component}=0
  - add the ${component} install directory to the CMAKE_PREFIX_PATH variable (-DCMAKE_PREFIX_PATH=\"/path/to/${component}-install-dir;/path/to/other/dirs\"")
endmacro()
macro( report_mandatory_not_found component )
  message(SEND_ERROR "${component} library/component could not be found and is a mandatory dependency
  HINT:
  - add the ${component} install directory to the CMAKE_PREFIX_PATH variable (-DCMAKE_PREFIX_PATH=\"/path/to/${component}-install-dir;/path/to/other/dirs\"")
endmacro()
macro( report_dependency_error component dependency)
  message(SEND_ERROR "${component} support requires ${dependency} support, however ${dependency} support has been disabled.
  HINTS:
  - re-run with -DWITH_${dependency}=1 (or without -DWITH_${dependency}=0)
  - disable ${component} support by adding -DWITH_${component}=0"
  )
endmacro()

check_function_exists("strncasecmp"  HAVE_STRNCASECMP)
check_function_exists("symlink"  HAVE_SYMLINK)


set(CMAKE_SKIP_BUILD_RPATH FALSE)
set(CMAKE_LINK_INTERFACE_LIBRARY "")

file(GLOB mapcache_SOURCES lib/*.c )

add_library(mapcache SHARED ${mapcache_SOURCES})

#options suported by the cmake builder
option(WITH_PIXMAN "Use pixman for SSE optimized image manipulations" ON)
option(WITH_SQLITE "Use sqlite as a cache backend" ON)
option(WITH_BERKELEY_DB "Use sqlite as a cache backend" OFF)
option(WITH_MEMCACHE "Use memcache as a cache backend (requires recent apr-util)" OFF)
option(WITH_TIFF "Use TIFFs as a cache backend" OFF)
option(WITH_TIFF_WRITE_SUPPORT "Enable (experimental) support for writable TIFF cache backends" OFF)
option(WITH_GEOTIFF "Allow GeoTIFF metadata creation for TIFF cache backends" OFF)
option(WITH_PCRE "Use PCRE for regex tests" OFF)
option(WITH_MAPSERVER "Enable (experimental) support for the mapserver library" OFF)

find_package(PNG)
if(PNG_FOUND)
  include_directories(${PNG_INCLUDE_DIR})
  target_link_libraries(mapcache ${PNG_LIBRARY})
else(PNG_FOUND)
  report_mandatory_not_found(PNG)
endif(PNG_FOUND)

find_package(JPEG)
if(JPEG_FOUND)
  include_directories(${JPEG_INCLUDE_DIR})
  target_link_libraries(mapcache ${JPEG_LIBRARY})
else(JPEG_FOUND)
endif(JPEG_FOUND)
   
find_package(CURL)
if(CURL_FOUND)
   include_directories(${CURL_INCLUDE_DIR})
   target_link_libraries(mapcache ${CURL_LIBRARY})
else(CURL_FOUND)
   report_mandatory_not_found(CURL)
endif(CURL_FOUND)

find_package(APR)
if(APR_FOUND)
   include_directories(${APR_INCLUDE_DIR} ${APU_INCLUDE_DIR})
   target_link_libraries(mapcache ${APR_LIBRARY} ${APU_LIBRARY})
   if(DEFINED APR_CPPFLAGS)
     add_definitions("${APR_CPPFLAGS}")
   endif(DEFINED APR_CPPFLAGS)
else(APR_FOUND)
   report_mandatory_not_found(APR)
endif(APR_FOUND)

if(WITH_MEMCACHE)
  include(CheckSymbolExists)
   FIND_PATH(tmp_APU_MEMCACHE_DIR
     NAMES apr_memcache.h
     HINTS ${APU_INCLUDE_DIR}
  )
  if(tmp_APU_MEMCACHE_DIR)
    set(CMAKE_REQUIRED_INCLUDE ${APR_INCLUDE_DIR} ${APU_INCLUDE_DIR})
    set(CMAKE_REQUIRED_LIBRARIES ${APR_LIBRARY} ${APU_LIBRARY})
    check_symbol_exists(apr_memcache_hash "${tmp_APU_MEMCACHE_DIR}/apr_memcache.h" tmp_MEMCACHE_USABLE)
    if(tmp_MEMCACHE_USABLE)
      set(USE_MEMCACHE 1)
    else(tmp_MEMCACHE_USABLE)
      MESSAGE(SEND_ERROR "apr_memcache.h found, but seems too old (missing apr_memcache_hash function)")
      report_optional_not_found(MEMCACHE)
    endif(tmp_MEMCACHE_USABLE)
  else(tmp_APU_MEMCACHE_DIR)
    MESSAGE(SEND_ERROR "apr_memcache.h not found, your apr-util version may be configured without memcache support")
    report_optional_not_found(MEMCACHE)
  endif(tmp_APU_MEMCACHE_DIR)
  
endif(WITH_MEMCACHE)

if(WITH_PIXMAN)
  find_package(Pixman)
  if(PIXMAN_FOUND)
    include_directories(${PIXMAN_INCLUDE_DIR})
    target_link_libraries(mapcache ${PIXMAN_LIBRARY})
    set (USE_PIXMAN 1)
  else(PIXMAN_FOUND)
    report_optional_not_found(PIXMAN)
  endif(PIXMAN_FOUND)
endif (WITH_PIXMAN)

if(WITH_PCRE)
   find_package(PCRE)
  if(PCRE_FOUND)
    include_directories(${PCRE_INCLUDE_DIR})
    target_link_libraries(mapcache ${PCRE_LIBRARY})
    set (USE_PCRE 1)
  else(PCRE_FOUND)
    report_optional_not_found(PCRE)
  endif(PCRE_FOUND)
endif (WITH_PCRE)

if(WITH_SQLITE)
  find_package(SQLITE)
  if(SQLITE_FOUND)
    include_directories(${SQLITE_INCLUDE_DIR})
    target_link_libraries(mapcache ${SQLITE_LIBRARY})
    set (USE_SQLITE 1)
  else(SQLITE_FOUND)
    report_optional_not_found(SQLITE)
  endif(SQLITE_FOUND)
endif (WITH_SQLITE)

if(WITH_BERKELEY_DB)
  if(NOT BERKELEYDB_FIND_VERSION)
    set(BERKELEYDB_FIND_VERSION "4.6")
  endif(NOT BERKELEYDB_FIND_VERSION)
  find_package(BerkeleyDB)
  if(BERKELEYDB_FOUND)
    include_directories(${BERKELEYDB_INCLUDE_DIR})
    target_link_libraries(mapcache ${BERKELEYDB_LIBRARY})
    set (USE_BDB 1)
  else(BERKELEYDB_FOUND)
    report_optional_not_found(BERKELEY_DB)
  endif(BERKELEYDB_FOUND)
endif (WITH_BERKELEY_DB)

if(WITH_TIFF)
  find_package(TIFF)
  if(TIFF_FOUND)
    include_directories(${TIFF_INCLUDE_DIR})
    target_link_libraries(mapcache ${TIFF_LIBRARY})
    set (USE_TIFF 1)
  else(TIFF_FOUND)
    report_optional_not_found(TIFF)
  endif(TIFF_FOUND)
endif (WITH_TIFF)

if(WITH_TIFF_WRITE_SUPPORT)
  if(USE_TIFF)
    set (USE_TIFF_WRITE 1)
  else(USE_TIFF)
    report_dependency_error(TIFF_WRITE_SUPPORT TIFF)
  endif(USE_TIFF)
endif(WITH_TIFF_WRITE_SUPPORT)


if(WITH_GEOTIFF)
  find_package(GEOTIFF)
  if(GEOTIFF_FOUND)
    include_directories(${GEOTIFF_INCLUDE_DIR})
    target_link_libraries(mapcache ${GEOTIFF_LIBRARY})
    set (USE_GEOTIFF 1)
  else(GEOTIFF_FOUND)
    report_optional_not_found(GEOTIFF)
  endif(GEOTIFF_FOUND)
endif (WITH_GEOTIFF)

if(WITH_MAPSERVER)
   find_package(MAPSERVER)
  if(MAPSERVER_FOUND)
    include_directories(${MAPSERVER_INCLUDE_DIR})
    target_link_libraries(mapcache ${MAPSERVER_LIBRARY})
    set (USE_MAPSERVER 1)
  else(MAPSERVER_FOUND)
    report_optional_not_found(MAPSERVER)
  endif(MAPSERVER_FOUND)
endif (WITH_MAPSERVER)


if(UNIX)
target_link_libraries(mapcache ${CMAKE_DL_LIBS} m )
endif(UNIX)

configure_file (
  "${PROJECT_SOURCE_DIR}/include/mapcache-config.h.in"
  "${PROJECT_BINARY_DIR}/include/mapcache-config.h"
  )

configure_file (
  "${PROJECT_SOURCE_DIR}/include/mapcache-version.h.in"
  "${PROJECT_BINARY_DIR}/include/mapcache-version.h"
  )

include_directories(include ${PROJECT_BINARY_DIR}/include)

macro(status_optional_component component enabled libpath)
  if("${enabled}" EQUAL "1")
    message(STATUS "  * ${component}: ${libpath}")
  else()
    message(STATUS "  * ${component}: disabled")
  endif()
endmacro()
macro(status_optional_feature feature enabled)
  if("${enabled}" EQUAL "1")
    message(STATUS "  * ${feature}: ENABLED")
  else()
    message(STATUS "  * ${feature}: disabled")
  endif()
endmacro()

message(STATUS "* Configured options for the mapcache library")
message(STATUS " * Mandatory components")
message(STATUS "  * png: ${PNG_LIBRARY}")
message(STATUS "  * jpeg: ${JPEG_LIBRARY}")
message(STATUS "  * Curl: ${CURL_LIBRARY}")
message(STATUS "  * Apr: ${APR_LIBRARY}")
message(STATUS " * Optional components")
status_optional_component("PIXMAN" "${USE_PIXMAN}" "${PIXMAN_LIBRARY}")
status_optional_component("SQLITE" "${USE_SQLITE}" "${SQLITE_LIBRARY}")
status_optional_component("Berkeley DB" "${USE_BDB}" "${BERKELEYDB_LIBRARY}")
status_optional_component("Memcache" "${USE_MEMCACHE}" "${APU_LIBRARY}")
status_optional_component("TIFF" "${USE_TIFF}" "${TIFF_LIBRARY}")
status_optional_component("GeoTIFF" "${USE_GEOTIFF}" "${GEOTIFF_LIBRARY}")
status_optional_component("Experimental TIFF write support" "${USE_TIFF_WRITE}" "${TIFF_LIBRARY}")
status_optional_component("PCRE" "${USE_PCRE}" "${PCRE_LIBRARY}")
status_optional_component("Experimental mapserver support" "${USE_MAPSERVER}" "${MAPSERVER_LIBRARY}")

INSTALL(TARGETS mapcache DESTINATION ${CMAKE_INSTALL_LIBDIR})

add_subdirectory(util)
add_subdirectory(cgi)
add_subdirectory(apache)
add_subdirectory(nginx)

=== debian/changelog ===
mapcache (1.2.0-1build1) trusty; urgency=low

  * No-change rebuild for libgdal1 -> libgdal1h transition.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 12 Dec 2013 01:36:27 -0500

mapcache (1.2.0-1) unstable; urgency=low

  * New upstream release 1.2.0. (closes: #712377)
  * Update watch file for github releases.
  * Build system changed from autotools to cmake.
  * Drop patches:
    - includepath.patch (no longer required)
    - fixwithmapserv.patch (libtool no longer used)
    - libmapcache_hardening.patch (libtool no longer used)
    - demo_service_js_typos.patch (applied upstream)
    - demo_service_valid_js_var.patch (applied upstream)
    - demo_service_html5_doctype.patch (applied upstream)
    - demo_service_html_charset.patch (applied upstream)
    - demo_service_list_newlines.patch (applied upstream)
    - demo_service_page_height.patch (applied upstream)
    - demo_service_indenting.patch (applied upstream)
    - mapcache_seed_non_zero_exit.patch (applied upstream)
    - mapcache_seed_delete_mode.patch (applied upstream)
    - mapcache_seed_typo.patch (applied upstream)
  * Use pkgkde-gensymbols & pkgkde-symbolshelper to handle symbols.
  * Add patch to use a versioned SONAME.
  * SONAME of libmapcache changed from libmapcache.so.0 to
    libmapcache.so.1.
  * Update libmapcache symbols for 1.2.0 on amd64.
  * Enable verbose make output.
  * Call ldconfig in libmapcache postinst and postrm.
  * Update libmapserver dependency for MapServer 6.4.0.
  * Add patch to include mapserver cmake package.
  * Build-Depend on libtiff-dev for libtiff5 transition.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Wed, 11 Sep 2013 19:16:06 +0200

mapcache (1.0.0-3) UNRELEASED; urgency=low

  * Upload for Debian closes: #712377
  * Strip RPATH from module and CGI binary.
  * Empty dependency_libs in la file.
  * Update copyright file to DEP-5 format.
  * Use set -e in postinst & postrm.
  * Additional cleanup of auto-generated files.
  * Multi-Arch libmapcache with debhelper 9.
  * Rename libmapcache to libmapcache0 to match SONAME.
  * Add libmapcache0-dev package.
  * Bump Standards-Version to 3.9.4.
  * Create /var/cache/mapcache in postinst.
  * Build-Depend on libproj-dev instead of the proj source package.
  * Drop explicit dependency on libmapcache0, already set by shlibs:Depends.
  * Enable hardening build flags.
  * Add man page for mapcache_seed utility.
  * Add patch to fix typos in demo service javascript.
  * Add patch to use a valid variable name for the WMSGetFeatureInfo control.
  * Add patch to set the HTML5 DOCTYPE in the demo service.
  * Add patch to set the Content-Type and charset in the HTML documents.
  * Add patch to add newlines after each list item.
  * Add patch to set the page height to 100% for the demo service.
  * Add patch to use 4 space indenting in the generated HTML.
  * Add patch to return non-zero exit status if errors occured in mapcache_seed.
  * Add patch to fix deletion of map tiles in seeder's delete mode.
  * Add patch to fix typos in mapcache_seed.
  * Add watch file.
  * Add maintainer scripts for libmapcache0 to call ldconfig.
  * Add mapcache.xml examples to libapache2-mod-mapcache.
  * Update for apache 2.4.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 15 Jun 2013 01:34:26 +0200

mapcache (1.0.0-2~ubuntu1) unstable; urgency=low

  * Added libmapcache.symbols

 -- Jerome Villeneuve Larouche <jlarouche@mapgears.com>  Thu, 28 Feb 2013 10:04:43 -0500

mapcache (1.0.0-1~ubuntu1) unstable; urgency=low

  * Initial Upstream Release
  * Added includepath.patch to change the mapserver.h path to
    mapserver/mapserver.h

 -- Jerome Villeneuve Larouche <jlarouche@mapgears.com>  Thu, 15 Nov 2012 21:08:41 +0000

mapcache (0~git052512+a8a8fe848c-1~ubuntu1) unstable; urgency=low

  * New git upstream.

 -- Alan Boudreault <aboudreault@mapgears.com>  Wed, 20 Jun 2012 13:46:36 +0000

mapcache (0.0.0~git20120526~ubuntu1) unstable; urgency=low

  * Initial Release.

 -- Tom Payne <tom.payne@camptocamp.com>  Thu, 07 Jun 2012 19:18:04 +0200

=== debian/control ===
Source: mapcache
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Alan Boudreault <aboudreault@mapgears.com>,
           Bas Couwenberg <sebastic@xs4all.nl>
Section: devel
Priority: extra
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1.1),
               libcurl4-gnutls-dev,
               libpng-dev,
               libjpeg-dev,
               zlib1g-dev,
               libgd-dev,
               libfreetype6-dev,
               libgdal1-dev (>= 1.9.0),
               libproj-dev,
               libgeos-dev (>= 3.3.1-1~),
               libfribidi-dev,
               libcairo2-dev,
               librsvg2-dev,
               apache2-dev,
               dh-apache2,
               libfcgi-dev,
               libpcre3-dev,
               libpixman-1-dev,
               libsqlite3-dev,
               libtiff-dev,
               libmapserver1 (>= 6.4.0-2),
               libmapserver1-dev (>= 6.4.0-2),
               chrpath,
               cmake,
               pkg-config,
               pkg-kde-tools,
               docbook2x,
               docbook-xsl,
               docbook-xml,
               xsltproc
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/mapcache.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/mapcache.git
Homepage: http://www.mapserver.org/en/mapcache/

Package: libmapcache1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: tile caching server - shared library
 This package contains the shared library.
 .
 MapCache is a server that implements tile caching to speed up access to WMS
 layers. The primary objectives are to be fast and easily deployable, while
 offering the essential features (and more!) expected from a tile caching
 solution.

Package: libmapcache1-dev
Architecture: any
Section: libdevel
Depends: libmapcache1 (= ${binary:Version}),
         ${misc:Depends}
Suggests: mapcache-cgi,
          mapcache-tools,
          libapache2-mod-mapcache
Breaks: libmapcache-dev (<< 1.2.0-1~),
        libmapcache0-dev (<< 1.2.0-1~)
Replaces: libmapcache-dev (<< 1.2.0-1~),
          libmapcache0-dev (<< 1.2.0-1~)
Description: tile caching server - shared library development files
 This package contains the development files for the shared library.
 .
 MapCache is a server that implements tile caching to speed up access to WMS
 layers. The primary objectives are to be fast and easily deployable, while
 offering the essential features (and more!) expected from a tile caching
 solution.

Package: mapcache-cgi
Architecture: any
Section: web
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tile caching server - CGI binary
 This package contains the mapcache FastCGI program, as alternative to the
 Apache module available in libapache2-mod-mapcache.
 .
 MapCache is a server that implements tile caching to speed up access to WMS
 layers. The primary objectives are to be fast and easily deployable, while
 offering the essential features (and more!) expected from a tile caching
 solution.

Package: mapcache-tools
Architecture: any
Section: misc
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tile caching server - tools
 This package provides command-line utilities for MapCache.
 .
 MapCache is a server that implements tile caching to speed up access to WMS
 layers. The primary objectives are to be fast and easily deployable, while
 offering the essential features (and more!) expected from a tile caching
 solution.

Package: libapache2-mod-mapcache
Architecture: any
Section: web
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tile caching server - Apache module
 This is the MapCache module for the Apache web server implementing OGC web
 services. An alternative mapcache FastCGI program is available in
 mapcache-cgi.
 .
 MapCache is a server that implements tile caching to speed up access to WMS
 layers. The primary objectives are to be fast and easily deployable, while
 offering the essential features (and more!) expected from a tile caching
 solution.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

CFLAGS+=$(CPPFLAGS)
CFLAGS+=$(LDFLAGS)

MAPCACHE_VERSION = $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/^\(.*\)~.*/\1/' | sed -e 's/dev.*/.0/')

MAKE_VERBOSE=1

COMMON_CONFIG = -DCMAKE_INSTALL_PREFIX=/usr \
		-DWITH_PIXMAN=1 \
		-DWITH_SQLITE=1 \
		-DWITH_BERKELEY_DB=0 \
		-DWITH_MEMCACHE=0 \
		-DWITH_TIFF=1 \
		-DWITH_TIFF_WRITE_SUPPORT=0 \
		-DWITH_GEOTIFF=0 \
		-DWITH_MAPSERVER=1 \
		-DWITH_PCRE=1 \
		-DWITH_APACHE=1 \
		-DWITH_VERSION_STRING=1 \
		-DWITH_CGI=1 \
		-DWITH_FCGI=1 \
		-DWITH_GEOS=1 \
		-DWITH_OGR=1

%:
	dh $@ --with apache2,pkgkde_symbolshelper

override_dh_clean:
	dh_clean

	-$(RM) -rf build/
	-$(RM) nginx/config

override_dh_auto_configure:
	mkdir -p build && cd build && cmake .. -DCMAKE_BUILD_TYPE=Release $(COMMON_CONFIG)

override_dh_auto_build:
	# Create man page from DocBook XML
	-docbook2x-man $(CURDIR)/debian/mapcache_seed.1.xml
	-mv mapcache_seed.1 $(CURDIR)/debian/

	$(MAKE) -C build VERBOSE=$(MAKE_VERBOSE)

override_dh_auto_install:
	$(MAKE) -C build install DESTDIR=$(CURDIR)/debian/tmp VERBOSE=$(MAKE_VERBOSE)

	-mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	-mv -v $(CURDIR)/debian/tmp/usr/lib/libmapcache*.so* $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/

	mkdir -p $(CURDIR)/debian/tmp/usr/lib/cgi-bin/
	mv $(CURDIR)/debian/tmp/usr/bin/mapcache.fcgi $(CURDIR)/debian/tmp/usr/lib/cgi-bin/mapcache

	# Strip RPATH
	-find $(CURDIR)/debian/tmp/usr/bin -type f -exec chrpath --delete {} \;
	-find $(CURDIR)/debian/tmp/usr/lib -name "*.so*" -type f -exec chrpath --delete {} \;
	-find $(CURDIR)/build/apache -name "*.so*" -type f -exec chrpath --delete {} \;

	# libmapcache-dev headers
	-mkdir -p $(CURDIR)/debian/tmp/usr/include/mapcache/
	install -m 644 $(CURDIR)/include/*.h $(CURDIR)/debian/tmp/usr/include/mapcache/
	install -m 644 $(CURDIR)/build/*/*.h $(CURDIR)/debian/tmp/usr/include/mapcache/

	# Install apache module
	install -d $(CURDIR)/debian/tmp/etc/apache2/mods-available
	install -m 644 $(CURDIR)/debian/mapcache.load $(CURDIR)/debian/tmp/etc/apache2/mods-available

override_dh_install:
	dh_install --autodest --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c0 -v$(MAPCACHE_VERSION)

## mapcache 1.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 set (MAPCACHE_VERSION_MAJOR 1)
 set (MAPCACHE_VERSION_MINOR 2)
-set (MAPCACHE_VERSION_REVISION 0)
+set (MAPCACHE_VERSION_REVISION 1)
 
 
 if(NOT DEFINED CMAKE_INSTALL_LIBDIR)
@@ -66,11 +66,15 @@
 file(GLOB mapcache_SOURCES lib/*.c )
 
 add_library(mapcache SHARED ${mapcache_SOURCES})
+set_target_properties(mapcache PROPERTIES
+  VERSION ${MAPCACHE_VERSION_STRING}
+  SOVERSION 1
+)
 
 #options suported by the cmake builder
 option(WITH_PIXMAN "Use pixman for SSE optimized image manipulations" ON)
 option(WITH_SQLITE "Use sqlite as a cache backend" ON)
-option(WITH_BERKELEY_DB "Use sqlite as a cache backend" OFF)
+option(WITH_BERKELEY_DB "Use Berkeley DB as a cache backend" OFF)
 option(WITH_MEMCACHE "Use memcache as a cache backend (requires recent apr-util)" OFF)
 option(WITH_TIFF "Use TIFFs as a cache backend" OFF)
 option(WITH_TIFF_WRITE_SUPPORT "Enable (experimental) support for writable TIFF cache backends" OFF)

=== debian/changelog ===
mapcache (1.2.1-4) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 25 Jul 2015 13:41:00 +0200

mapcache (1.2.1-4~exp1) experimental; urgency=medium

  * Add libcurl-ssl-dev as alternative for libcurl-gnutls-dev build dependency.
  * Use multi-line uscan options without quotes.
  * Update mapserver build dependencies for MapServer 7.0.0.
  * Reorder build dependencies, add libharfbuzz-dev.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 24 Jul 2015 13:45:27 +0200

mapcache (1.2.1-3) unstable; urgency=medium

  * Add upstream metadata.
  * Update Source URL for GitHub in copyright file.
  * Update Homepage URL, strip en/ from path.
  * Set the date embedded in man pages to the build date for
    reproducible builds.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Update my email to @debian.org address.
  * Bump Standards-Version to 3.9.6, no changes.
  * Update copyright file, changes:
    - Convert copyright file from iso-8859-1 to utf8
    - Update copyright years
    - Drop unused files paragraph for ltmain.sh
  * Drop lintian override for no-upstream-changelog,
    shouldn't override pedantic tags.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Apr 2015 12:11:00 +0200

mapcache (1.2.1-2) unstable; urgency=low

  * Add gpb.conf to use pristine-tar by default.
  * Use dh commands instead of CMake directly.
  * Enable parallel builds.
  * Drop lintian override for debian-watch-may-check-gpg-signature,
    shouldn't override pedantic tags.
  * Don't create /var/cache/mapcache in postinst,
    use libapache2-mod-mapcache.dirs instead.
    (closes: #740327)
  * Also remove generated man pages on clean.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 28 Feb 2014 17:55:13 +0100

mapcache (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5, no changes required.
  * Drop soname.patch, applied upstream.
  * Add lintian override for debian-watch-may-check-gpg-signature,
    upstream doesn't provide signatures for verification.
  * Add lintian override for no-upstream-changelog, no changes in source.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 03 Jan 2014 17:30:18 +0100

mapcache (1.2.0-2) unstable; urgency=low

  [ Bas Couwenberg ]
  * Change priority to optional.

  [ Francesco Paolo Lovergine ]
  * Changed to libgdal-dev b-d.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 12 Dec 2013 17:08:16 +0100

=== debian/control ===
--- 
+++ 
@@ -2,44 +2,44 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Alan Boudreault <aboudreault@mapgears.com>,
-           Bas Couwenberg <sebastic@xs4all.nl>
+           Bas Couwenberg <sebastic@debian.org>
 Section: devel
-Priority: extra
+Priority: optional
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1.1),
-               libcurl4-gnutls-dev,
-               libpng-dev,
+               dh-apache2,
+               apache2-dev,
+               chrpath,
+               cmake,
+               libcairo2-dev,
+               libcurl4-gnutls-dev | libcurl-ssl-dev,
+               libfcgi-dev,
+               libfreetype6-dev,
+               libfribidi-dev,
+               libgd-dev,
+               libgdal-dev (>= 1.10.0-0~),
+               libgeos-dev (>= 3.3.1-1~),
+               libharfbuzz-dev,
                libjpeg-dev,
-               zlib1g-dev,
-               libgd-dev,
-               libfreetype6-dev,
-               libgdal1-dev (>= 1.9.0),
-               libproj-dev,
-               libgeos-dev (>= 3.3.1-1~),
-               libfribidi-dev,
-               libcairo2-dev,
-               librsvg2-dev,
-               apache2-dev,
-               dh-apache2,
-               libfcgi-dev,
+               libmapserver-dev,
                libpcre3-dev,
                libpixman-1-dev,
+               libpng-dev,
+               libproj-dev,
+               librsvg2-dev,
                libsqlite3-dev,
                libtiff-dev,
-               libmapserver1 (>= 6.4.0-2),
-               libmapserver1-dev (>= 6.4.0-2),
-               chrpath,
-               cmake,
+               zlib1g-dev,
                pkg-config,
                pkg-kde-tools,
                docbook2x,
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/mapcache.git
+Standards-Version: 3.9.6
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/mapcache.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/mapcache.git
-Homepage: http://www.mapserver.org/en/mapcache/
+Homepage: http://www.mapserver.org/mapcache/
 
 Package: libmapcache1
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

CFLAGS+=$(CPPFLAGS)
CFLAGS+=$(LDFLAGS)

MAPCACHE_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')
BUILD_DATE=$(shell dpkg-parsechangelog | sed -ne 's/^Date: //p' | LC_ALL=C date -u "+%d %B %Y" -f -)

CMAKE_OPTS:= \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_VERBOSE_MAKEFILE=1 \
		-DWITH_PIXMAN=1 \
		-DWITH_SQLITE=1 \
		-DWITH_BERKELEY_DB=0 \
		-DWITH_MEMCACHE=0 \
		-DWITH_TIFF=1 \
		-DWITH_TIFF_WRITE_SUPPORT=0 \
		-DWITH_GEOTIFF=0 \
		-DWITH_MAPSERVER=1 \
		-DWITH_PCRE=1 \
		-DWITH_APACHE=1 \
		-DWITH_VERSION_STRING=1 \
		-DWITH_CGI=1 \
		-DWITH_FCGI=1 \
		-DWITH_GEOS=1 \
		-DWITH_OGR=1

%:
	dh $@ --with apache2,pkgkde_symbolshelper \
	      --parallel \
	      --buildsystem cmake

override_dh_clean:
	dh_clean

	-$(RM) -rf obj-*/
	-$(RM) nginx/config
	-$(RM) debian/*.1

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_OPTS)

override_dh_auto_build:
	# Create man page from DocBook XML
	-docbook2x-man --string-param header-3="$(BUILD_DATE)" $(CURDIR)/debian/mapcache_seed.1.xml
	-mv mapcache_seed.1 $(CURDIR)/debian/

	dh_auto_build

override_dh_auto_install:
	dh_auto_install

	-mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	-mv -v $(CURDIR)/debian/tmp/usr/lib/libmapcache*.so* $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/

	mkdir -p $(CURDIR)/debian/tmp/usr/lib/cgi-bin/
	mv $(CURDIR)/debian/tmp/usr/bin/mapcache.fcgi $(CURDIR)/debian/tmp/usr/lib/cgi-bin/mapcache

	# Strip RPATH
	-find $(CURDIR)/debian/tmp/usr/bin -type f -exec chrpath --delete {} \;
	-find $(CURDIR)/debian/tmp/usr/lib -name "*.so*" -type f -exec chrpath --delete {} \;
	-find $(CURDIR)/obj-*/apache -name "*.so*" -type f -exec chrpath --delete {} \;

	# libmapcache-dev headers
	-mkdir -p $(CURDIR)/debian/tmp/usr/include/mapcache/
	install -m 644 $(CURDIR)/include/*.h $(CURDIR)/debian/tmp/usr/include/mapcache/
	install -m 644 $(CURDIR)/obj-*/*/*.h $(CURDIR)/debian/tmp/usr/include/mapcache/

	# Install apache module
	install -d $(CURDIR)/debian/tmp/etc/apache2/mods-available
	install -m 644 $(CURDIR)/debian/mapcache.load $(CURDIR)/debian/tmp/etc/apache2/mods-available

override_dh_install:
	dh_install --autodest --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c0 -v$(MAPCACHE_VERSION)

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/\-/\./g \
https://github.com/mapserver/mapcache/releases \
(?:.*/)?(?:rel|v|mapcache)[\-\_](\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mapcache 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,8 +13,8 @@
 
 
 set (MAPCACHE_VERSION_MAJOR 1)
-set (MAPCACHE_VERSION_MINOR 2)
-set (MAPCACHE_VERSION_REVISION 1)
+set (MAPCACHE_VERSION_MINOR 4)
+set (MAPCACHE_VERSION_REVISION 0)
 
 
 if(NOT DEFINED CMAKE_INSTALL_LIBDIR)
@@ -61,6 +61,9 @@
 
 
 set(CMAKE_SKIP_BUILD_RPATH FALSE)
+if(APPLE)
+  set(CMAKE_MACOSX_RPATH ON)
+endif()
 set(CMAKE_LINK_INTERFACE_LIBRARY "")
 
 file(GLOB mapcache_SOURCES lib/*.c )
@@ -81,6 +84,7 @@
 option(WITH_GEOTIFF "Allow GeoTIFF metadata creation for TIFF cache backends" OFF)
 option(WITH_PCRE "Use PCRE for regex tests" OFF)
 option(WITH_MAPSERVER "Enable (experimental) support for the mapserver library" OFF)
+option(WITH_RIAK "Use Riak as a cache backend" OFF)
 
 find_package(PNG)
 if(PNG_FOUND)
@@ -228,6 +232,16 @@
   endif(MAPSERVER_FOUND)
 endif (WITH_MAPSERVER)
 
+if(WITH_RIAK)
+  find_package(RIAK)
+  if(RIAK_FOUND)
+    include_directories(${RIAK_INCLUDE_DIR})
+    target_link_libraries(mapcache ${RIAK_LIBRARY})
+    set (USE_RIAK 1)
+  else(RIAK_FOUND)
+    report_optional_not_found(RIAK)
+  endif(RIAK_FOUND)
+endif (WITH_RIAK)
 
 if(UNIX)
 target_link_libraries(mapcache ${CMAKE_DL_LIBS} m )
@@ -276,6 +290,7 @@
 status_optional_component("Experimental TIFF write support" "${USE_TIFF_WRITE}" "${TIFF_LIBRARY}")
 status_optional_component("PCRE" "${USE_PCRE}" "${PCRE_LIBRARY}")
 status_optional_component("Experimental mapserver support" "${USE_MAPSERVER}" "${MAPSERVER_LIBRARY}")
+status_optional_component("RIAK" "${USE_RIAK}" "${RIAK_LIBRARY}")
 
 INSTALL(TARGETS mapcache DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== cgi/CMakeLists.txt ===
option(WITH_CGI "Choose if CGI executable should be built" ON)
option(WITH_FCGI "Choose if CGI executable should support FastCGI" ON)

if(WITH_CGI)
  if(NOT DEFINED CMAKE_INSTALL_CGIBINDIR)
     set(CMAKE_INSTALL_CGIBINDIR ${CMAKE_INSTALL_BINDIR})
  endif(NOT DEFINED CMAKE_INSTALL_CGIBINDIR)

  add_executable(mapcache.fcgi mapcache.c)
  target_link_libraries(mapcache.fcgi mapcache)
  
  if(WITH_FCGI)
    find_package(FCGI)
    if(FCGI_FOUND)
      include_directories(${FCGI_INCLUDE_DIR})
      target_link_libraries(mapcache.fcgi ${FCGI_LIBRARY})
      set (USE_FASTCGI 1)
    else(FCGI_FOUND)
      report_optional_not_found(FCGI)
    endif(FCGI_FOUND)
  endif (WITH_FCGI)
  
configure_file (
  "${PROJECT_SOURCE_DIR}/cgi/mapcache-cgi-config.h.in"
  "${PROJECT_BINARY_DIR}/cgi/mapcache-cgi-config.h"
  )
include_directories("${PROJECT_BINARY_DIR}/cgi/")
  
  message(STATUS "* CGI Configuration Options:")
  status_optional_component("FastCGI" "${USE_FASTCGI}" "${FCGI_LIBRARY}")
  
  INSTALL(TARGETS mapcache.fcgi RUNTIME DESTINATION ${CMAKE_INSTALL_CGIBINDIR})
else(WITH_CGI)
   message(STATUS "* CGI Configuration Options: DISABLED")
endif(WITH_CGI)

=== debian/changelog ===
mapcache (1.4.0-4) unstable; urgency=medium

  * Update watch file to use lowercase RC in uversionmangle.
  * Rebuild for geos transition.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 29 Aug 2015 14:15:23 +0200

mapcache (1.4.0-3) unstable; urgency=medium

  * Disable memcache support on architectures where it's not supported.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Aug 2015 19:22:22 +0200

mapcache (1.4.0-2) unstable; urgency=medium

  * Enable memcache support. Thanks to Frederic Junod for the patch.
    (closes: 794784)
  * Update Vcs-Browser URL to use HTTPS.
  * Update Upstream-Contact in copyright file to include email address.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Aug 2015 16:45:28 +0200

mapcache (1.4.0-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 31 Jul 2015 00:32:07 +0200

mapcache (1.4.0-1~exp1) experimental; urgency=medium

  * Update watch file to support new upstream tag format too.
  * New upstream release.
  * Update copyright file, add license & copyright for hmac-sha.c.
  * Refresh patches.
  * Disable experimental mapserver support, FTBFS.
  * Update symbols for amd64.
  * Move docs to libapache2-mod-mapcache.
  * Update mapcache_seed man page with new options.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 28 Jul 2015 21:40:01 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libgeos-dev (>= 3.3.1-1~),
                libharfbuzz-dev,
                libjpeg-dev,
-               libmapserver-dev,
+               libmemcached-dev,
                libpcre3-dev,
                libpixman-1-dev,
                libpng-dev,
@@ -37,7 +37,7 @@
                docbook-xml,
                xsltproc
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/mapcache.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapcache.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/mapcache.git
 Homepage: http://www.mapserver.org/mapcache/

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,8 @@
 # Enable hardening build flags
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
-DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
@@ -28,11 +29,10 @@
 		-DWITH_PIXMAN=1 \
 		-DWITH_SQLITE=1 \
 		-DWITH_BERKELEY_DB=0 \
-		-DWITH_MEMCACHE=0 \
 		-DWITH_TIFF=1 \
 		-DWITH_TIFF_WRITE_SUPPORT=0 \
 		-DWITH_GEOTIFF=0 \
-		-DWITH_MAPSERVER=1 \
+		-DWITH_MAPSERVER=0 \
 		-DWITH_PCRE=1 \
 		-DWITH_APACHE=1 \
 		-DWITH_VERSION_STRING=1 \
@@ -40,6 +40,13 @@
 		-DWITH_FCGI=1 \
 		-DWITH_GEOS=1 \
 		-DWITH_OGR=1
+
+# Disable memcache support on architectures where it's not supported
+ifneq (,$(findstring $(DEB_HOST_ARCH),"armel armhf i386 mips mipsel powerpc hppa"))
+	CMAKE_OPTS += -DWITH_MEMCACHE=0
+else
+	CMAKE_OPTS += -DWITH_MEMCACHE=1
+endif
 
 %:
 	dh $@ --with apache2,pkgkde_symbolshelper \

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|mapcache)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/mapcache-$1.$2/ \
https://github.com/mapserver/mapcache/releases \
(?:.*?/)?(?:rel|v|mapcache)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mapcache 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,6 @@
 include(CheckIncludeFile)
 include(CheckCSourceCompiles)
 
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
 if ("${CMAKE_BUILD_TYPE}" STREQUAL "Debug") 
    add_definitions(-DDEBUG) 
 endif () 
@@ -14,7 +13,7 @@
 
 set (MAPCACHE_VERSION_MAJOR 1)
 set (MAPCACHE_VERSION_MINOR 4)
-set (MAPCACHE_VERSION_REVISION 0)
+set (MAPCACHE_VERSION_REVISION 1)
 
 
 if(NOT DEFINED CMAKE_INSTALL_LIBDIR)
@@ -58,7 +57,7 @@
 
 check_function_exists("strncasecmp"  HAVE_STRNCASECMP)
 check_function_exists("symlink"  HAVE_SYMLINK)
-
+check_function_exists ("timegm" HAVE_TIMEGM)
 
 set(CMAKE_SKIP_BUILD_RPATH FALSE)
 if(APPLE)
@@ -73,6 +72,15 @@
   VERSION ${MAPCACHE_VERSION_STRING}
   SOVERSION 1
 )
+
+# Add compiler flags for warnings
+if(CMAKE_COMPILER_IS_GNUCC)
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Werror=declaration-after-statement")
+endif()
+
+if(CMAKE_C_COMPILER_ID MATCHES "Clang")
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Werror=declaration-after-statement -std=c89 -Wno-comment")
+endif()
 
 #options suported by the cmake builder
 option(WITH_PIXMAN "Use pixman for SSE optimized image manipulations" ON)
@@ -89,7 +97,7 @@
 find_package(PNG)
 if(PNG_FOUND)
   include_directories(${PNG_INCLUDE_DIR})
-  target_link_libraries(mapcache ${PNG_LIBRARY})
+  target_link_libraries(mapcache ${PNG_LIBRARIES})
 else(PNG_FOUND)
   report_mandatory_not_found(PNG)
 endif(PNG_FOUND)
@@ -160,6 +168,7 @@
     include_directories(${PCRE_INCLUDE_DIR})
     target_link_libraries(mapcache ${PCRE_LIBRARY})
     set (USE_PCRE 1)
+    add_definitions(-DPCRE_STATIC) 
   else(PCRE_FOUND)
     report_optional_not_found(PCRE)
   endif(PCRE_FOUND)

=== debian/changelog ===
mapcache (1.4.1-3) unstable; urgency=medium

  * Update symbols for hurd-i386.
  * Bump Standards-Version to 3.9.8, no changes.
  * Drop libmapcache2 post{inst,rm}, rely on dpkg-triggers for ldconfig.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 May 2016 11:40:45 +0200

mapcache (1.4.1-2) unstable; urgency=medium

  * Disable memcache support on hurd-i386 too.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 Feb 2016 09:46:50 +0100

mapcache (1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-Git URL to use HTTPS.
  * Add patches for various typos.
  * Bump Standards-Version to 3.9.7, no changes.
  * Update symbols for 1.4.1.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 25 Feb 2016 21:04:46 +0100

=== debian/control ===
--- 
+++ 
@@ -36,9 +36,9 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapcache.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/mapcache.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapcache.git
 Homepage: http://www.mapserver.org/mapcache/
 
 Package: libmapcache1

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 		-DWITH_OGR=1
 
 # Disable memcache support on architectures where it's not supported
-ifneq (,$(findstring $(DEB_HOST_ARCH),"armel armhf i386 mips mipsel powerpc hppa"))
+ifneq (,$(findstring $(DEB_HOST_ARCH),"armel armhf i386 mips mipsel powerpc hppa hurd-i386"))
 	CMAKE_OPTS += -DWITH_MEMCACHE=0
 else
 	CMAKE_OPTS += -DWITH_MEMCACHE=1

## mapcache 1.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required (VERSION 2.6)
 
-project (MapCache)
+project (MapCache C)
 
 include(CheckFunctionExists)
 include(CheckIncludeFile)
@@ -12,9 +12,8 @@
 
 
 set (MAPCACHE_VERSION_MAJOR 1)
-set (MAPCACHE_VERSION_MINOR 4)
-set (MAPCACHE_VERSION_REVISION 1)
-
+set (MAPCACHE_VERSION_MINOR 6)
+set (MAPCACHE_VERSION_REVISION 0)
 
 if(NOT DEFINED CMAKE_INSTALL_LIBDIR)
    set(CMAKE_INSTALL_LIBDIR lib)
@@ -58,6 +57,7 @@
 check_function_exists("strncasecmp"  HAVE_STRNCASECMP)
 check_function_exists("symlink"  HAVE_SYMLINK)
 check_function_exists ("timegm" HAVE_TIMEGM)
+check_function_exists ("strptime" HAVE_STRPTIME)
 
 set(CMAKE_SKIP_BUILD_RPATH FALSE)
 if(APPLE)
@@ -66,8 +66,9 @@
 set(CMAKE_LINK_INTERFACE_LIBRARY "")
 
 file(GLOB mapcache_SOURCES lib/*.c )
-
-add_library(mapcache SHARED ${mapcache_SOURCES})
+file(GLOB mapcache_HEADERS include/*.h)
+
+add_library(mapcache SHARED ${mapcache_SOURCES} ${mapcache_HEADERS})
 set_target_properties(mapcache PROPERTIES
   VERSION ${MAPCACHE_VERSION_STRING}
   SOVERSION 1
@@ -93,6 +94,7 @@
 option(WITH_PCRE "Use PCRE for regex tests" OFF)
 option(WITH_MAPSERVER "Enable (experimental) support for the mapserver library" OFF)
 option(WITH_RIAK "Use Riak as a cache backend" OFF)
+option(WITH_GDAL "Choose if GDAL raster support should be built in" ON)
 
 find_package(PNG)
 if(PNG_FOUND)
@@ -162,6 +164,17 @@
   endif(PIXMAN_FOUND)
 endif (WITH_PIXMAN)
 
+if(WITH_GDAL)
+  find_package(GDAL)
+  if(GDAL_FOUND)
+    include_directories(${GDAL_INCLUDE_DIR})
+    target_link_libraries(mapcache ${GDAL_LIBRARY})
+    set (USE_GDAL 1)
+  else(GDAL_FOUND)
+    report_optional_not_found(GDAL)
+  endif(GDAL_FOUND)
+endif(WITH_GDAL)
+
 if(WITH_PCRE)
    find_package(PCRE)
   if(PCRE_FOUND)
@@ -300,6 +313,7 @@
 status_optional_component("PCRE" "${USE_PCRE}" "${PCRE_LIBRARY}")
 status_optional_component("Experimental mapserver support" "${USE_MAPSERVER}" "${MAPSERVER_LIBRARY}")
 status_optional_component("RIAK" "${USE_RIAK}" "${RIAK_LIBRARY}")
+status_optional_component("GDAL" "${USE_GDAL}" "${GDAL_LIBRARY}")
 
 INSTALL(TARGETS mapcache DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== debian/changelog ===
mapcache (1.6.0-2) unstable; urgency=medium

  * Update symbols for other architecture.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 13:25:52 +0200

mapcache (1.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Fix 'contours' typo in manpage.
  * Drop typo patches, applied upstream.
  * Update copyright file, changes:
    - Update copyright years for Regents of the University of Minnesota
    - Add Frank Warmerdam to copyright holders
  * Update symbols for amd64.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 13 Apr 2017 18:54:23 +0200

## mapcache 1.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 set (MAPCACHE_VERSION_MAJOR 1)
 set (MAPCACHE_VERSION_MINOR 6)
-set (MAPCACHE_VERSION_REVISION 0)
+set (MAPCACHE_VERSION_REVISION 1)
 
 if(NOT DEFINED CMAKE_INSTALL_LIBDIR)
    set(CMAKE_INSTALL_LIBDIR lib)

=== nginx/CMakeLists.txt ===

configure_file (
  "${PROJECT_SOURCE_DIR}/nginx/config.in"
  "${PROJECT_BINARY_DIR}/nginx/config"
)

=== debian/changelog ===
mapcache (1.6.1-3) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 21:08:36 +0200

mapcache (1.6.1-2) unstable; urgency=medium

  * Drop libproj-dev build dependency, not directly required and already
    pulled in via libgdal-dev.
  * Update copyright-format URL to use HTTPS.
  * Bump Standards-Version to 4.1.5, no changes.
  * Update Vcs-* URLs for Salsa.
  * Strip trailing whitespace from rules file.
  * Use filter instead of findstring to prevent partial matches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Jul 2018 18:45:30 +0200

mapcache (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Add autopkgtest to test installability.
  * Bump Standards-Version to 4.1.1, no changes.
  * Drop spelling-errors.patch, applied upstream.
  * Change section for libapache2-mod-mapcache to httpd.
  * Update symbols for 1.6.1.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 30 Sep 2017 09:25:05 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,6 @@
                libpcre3-dev,
                libpixman-1-dev,
                libpng-dev,
-               libproj-dev,
                librsvg2-dev,
                libsqlite3-dev,
                libtiff-dev,
@@ -36,9 +35,9 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapcache.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapcache.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapcache
+Vcs-Git: https://salsa.debian.org/debian-gis-team/mapcache.git
 Homepage: http://www.mapserver.org/mapcache/
 
 Package: libmapcache1
@@ -104,7 +103,7 @@
 
 Package: libapache2-mod-mapcache
 Architecture: any
-Section: web
+Section: httpd
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: tile caching server - Apache module

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # Enable hardening build flags
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
-DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_BUILD_ARCH     ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
@@ -20,8 +20,11 @@
 CFLAGS+=$(CPPFLAGS)
 CFLAGS+=$(LDFLAGS)
 
-MAPCACHE_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')
-BUILD_DATE=$(shell dpkg-parsechangelog | sed -ne 's/^Date: //p' | LC_ALL=C date -u "+%d %B %Y" -f -)
+include /usr/share/dpkg/pkg-info.mk
+
+UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')
+
+BUILD_DATE=$(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
 
 CMAKE_OPTS:= \
 		-DCMAKE_INSTALL_PREFIX=/usr \
@@ -42,7 +45,7 @@
 		-DWITH_OGR=1
 
 # Disable memcache support on architectures where it's not supported
-ifneq (,$(findstring $(DEB_HOST_ARCH),"armel armhf i386 mips mipsel powerpc hppa hurd-i386"))
+ifneq (,$(filter $(DEB_BUILD_ARCH),armel armhf i386 mips mipsel powerpc hppa hurd-i386))
 	CMAKE_OPTS += -DWITH_MEMCACHE=0
 else
 	CMAKE_OPTS += -DWITH_MEMCACHE=1
@@ -97,5 +100,4 @@
 	dh_install --autodest --list-missing
 
 override_dh_makeshlibs:
-	dh_makeshlibs -- -c0 -v$(MAPCACHE_VERSION)
-
+	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION)
